<!--

function Delegate(){}
Delegate.create=function(o,f){
var rmeIq=new Array();
var jRcTZ=arguments.length;
for(var i=2;i<jRcTZ;i++) rmeIq[i-2]=arguments[i];
return function(){
var ArJEF=[].concat(arguments,rmeIq);
f.apply(o,ArJEF);
}
}
Tween=function(obj,prop,func,begin,finish,duration,suffixe){
this.init(obj,prop,func,begin,finish,duration,suffixe)
}
var t=Tween.prototype;
t.obj=new Object();
t.prop='';
t.func=function(t,b,c,d){return c*t/d+b;};
t.begin=0;
t.change=0;
t.prevTime=0;
t.prevPos=0;
t.looping=false;
t.BjbjH=0;
t.qZQoP=0;
t.vMuPb=0;
t.uHEBG=0;
t.JheIW=0;
t.kxnAm=0;
t.JxDQW=false;
t.name='';
t.suffixe='';
t.gYkIa=new Array();
t.setTime=function(t){
this.prevTime=this.qZQoP;
if(t>this.getDuration()){
if(this.looping){
this.rewind(t-this.BjbjH);
this.update();
this.aOEAT('onMotionLooped',{target:this,type:'onMotionLooped'});
}else{
this.qZQoP=this.BjbjH;
this.update();
this.stop();
this.aOEAT('onMotionFinished',{target:this,type:'onMotionFinished'});
}
}else if(t<0){
this.rewind();
this.update();
}else{
this.qZQoP=t;
this.update();
}
}
t.isRunning=function(){
return this.JxDQW;
}
t.getTime=function(){
return this.qZQoP;
}
t.setDuration=function(d){
this.BjbjH=(d==null||d<=0)?100000:d;
}
t.getDuration=function(){
return this.BjbjH;
}
t.setPosition=function(p){
this.prevPos=this.vMuPb;
var a=this.suffixe!=''?this.suffixe:'';
this.obj[this.prop]=Math.round(p)+a;
this.vMuPb=p;
this.aOEAT('onMotionChanged',{target:this,type:'onMotionChanged'});
}
t.getPosition=function(t){
if(t==undefined) t=this.qZQoP;
return this.func(t,this.begin,this.change,this.BjbjH);
};
t.setFinish=function(f){
this.change=f-this.begin;
};
t.geFinish=function(){
return this.begin+this.change;
};
t.init=function(obj,prop,func,begin,finish,duration,suffixe){
if(!arguments.length) return;
this.gYkIa=new Array();
this.addListener(this);
if(suffixe) this.suffixe=suffixe;
this.obj=obj;
this.prop=prop;
this.begin=begin;
this.vMuPb=begin;
this.setDuration(duration);
if(func!=null&&func!=''){
this.func=func;
}
this.setFinish(finish);
}
t.start=function(){
this.rewind();
this.startEnterFrame();
this.aOEAT('onMotionStarted',{target:this,type:'onMotionStarted'});
}
t.rewind=function(t){
this.stop();
this.qZQoP=(t==undefined)?0:t;
this.fixTime();
this.update();
}
t.fforward=function(){
this.qZQoP=this.BjbjH;
this.fixTime();
this.update();
}
t.update=function(){
this.setPosition(this.getPosition(this.qZQoP));
}
t.startEnterFrame=function(){
this.stopEnterFrame();
this.JxDQW=true;
this.onEnterFrame();
}
t.onEnterFrame=function(){
if(this.JxDQW){
this.nextFrame();
wa_timeout(Delegate.create(this,this.onEnterFrame),0);
}
}
t.nextFrame=function(){
this.setTime((this.getTimer()-this.JheIW)/1000);
}
t.stop=function(){
this.stopEnterFrame();
this.aOEAT('onMotionStopped',{target:this,type:'onMotionStopped'});
}
t.stopEnterFrame=function(){
this.JxDQW=false;
}
t.continueTo=function(finish,duration){
this.begin=this.vMuPb;
this.setFinish(finish);
if(this.BjbjH!=undefined)
this.setDuration(duration);
this.start();
}
t.resume=function(){
this.fixTime();
this.startEnterFrame();
this.aOEAT('onMotionResumed',{target:this,type:'onMotionResumed'});
}
t.yoyo=function(){
this.continueTo(this.begin,this.qZQoP);
}
t.addListener=function(o){
this.removeListener(o);
return this.gYkIa.push(o);
}
t.removeListener=function(o){
var a=this.gYkIa;
var i=a.length;
while(i--){
if(a[i]==o){
a.splice(i,1);
return true;
}
}
return false;
}
t.aOEAT=function(){
var arr=new Array();
for(var i=0;i<arguments.length;i++){
arr.push(arguments[i])
}
var e=arr.shift();
var a=this.gYkIa;
var l=a.length;
for(var i=0;i<l;i++){
if(a[i][e])
a[i][e].apply(a[i],arr);
}
}
t.fixTime=function(){
this.JheIW=this.getTimer()-this.qZQoP*1000;
}
t.getTimer=function(){
return new Date().getTime()-this.qZQoP;
}
Tween.backEaseIn=function(t,b,c,d,a,p){
if(s==undefined) var s=1.70158;
return c*(t/=d)*t*((s+1)*t-s)+b;
}
Tween.backEaseOut=function(t,b,c,d,a,p){
if(s==undefined) var s=1.70158;
return c*((t=t/d-1)*t*((s+1)*t+s)+1)+b;
}
Tween.backEaseInOut=function(t,b,c,d,a,p){
if(s==undefined) var s=1.70158;
if((t/=d/2)<1) return c/2*(t*t*(((s*=(1.525))+1)*t-s))+b;
return c/2*((t-=2)*t*(((s*=(1.525))+1)*t+s)+2)+b;
}
Tween.elasticEaseIn=function(t,b,c,d,a,p){
if(t==0) return b;
if((t/=d)==1) return b+c;
if(!p) p=d*.3;
if(!a||a<Math.abs(c)){
a=c;var s=p/4;
}
else
var s=p/(2*Math.PI)*Math.asin(c/a);
return-(a*Math.pow(2,10*(t-=1))*Math.sin((t*d-s)*(2*Math.PI)/p))+b;
}
Tween.elasticEaseOut=function(t,b,c,d,a,p){
if(t==0) return b;if((t/=d)==1) return b+c;if(!p) p=d*.3;
if(!a||a<Math.abs(c)){a=c;var s=p/4;}
else var s=p/(2*Math.PI)*Math.asin(c/a);
return(a*Math.pow(2,-10*t)*Math.sin((t*d-s)*(2*Math.PI)/p)+c+b);
}
Tween.elasticEaseInOut=function(t,b,c,d,a,p){
if(t==0) return b;if((t/=d/2)==2) return b+c;if(!p) var p=d*(.3*1.5);
if(!a||a<Math.abs(c)){var a=c;var s=p/4;}
else var s=p/(2*Math.PI)*Math.asin(c/a);
if(t<1) return-.5*(a*Math.pow(2,10*(t-=1))*Math.sin((t*d-s)*(2*Math.PI)/p))+b;
return a*Math.pow(2,-10*(t-=1))*Math.sin((t*d-s)*(2*Math.PI)/p)*.5+c+b;
}
Tween.bounceEaseOut=function(t,b,c,d){
if((t/=d)<(1/2.75)){
return c*(7.5625*t*t)+b;
}else if(t<(2/2.75)){
return c*(7.5625*(t-=(1.5/2.75))*t+.75)+b;
}else if(t<(2.5/2.75)){
return c*(7.5625*(t-=(2.25/2.75))*t+.9375)+b;
}else{
return c*(7.5625*(t-=(2.625/2.75))*t+.984375)+b;
}
}
Tween.bounceEaseIn=function(t,b,c,d){
return c-Tween.bounceEaseOut(d-t,0,c,d)+b;
}
Tween.bounceEaseInOut=function(t,b,c,d){
if(t<d/2) return Tween.bounceEaseIn(t*2,0,c,d)*.5+b;
else return Tween.bounceEaseOut(t*2-d,0,c,d)*.5+c*.5+b;
}
Tween.strongEaseInOut=function(t,b,c,d){
return c*(t/=d)*t*t*t*t+b;
}
Tween.regularEaseIn=function(t,b,c,d){
return c*(t/=d)*t+b;
}
Tween.regularEaseOut=function(t,b,c,d){
return-c*(t/=d)*(t-2)+b;
}
Tween.regularEaseInOut=function(t,b,c,d){
if((t/=d/2)<1) return c/2*t*t+b;
return-c/2*((--t)*(t-2)-1)+b;
}
Tween.strongEaseIn=function(t,b,c,d){
return c*(t/=d)*t*t*t*t+b;
}
Tween.strongEaseOut=function(t,b,c,d){
return c*((t=t/d-1)*t*t*t*t+1)+b;
}
Tween.strongEaseInOut=function(t,b,c,d){
if((t/=d/2)<1) return c/2*t*t*t*t*t+b;
return c/2*((t-=2)*t*t*t*t+2)+b;
}
OpacityTween.prototype=new Tween();
OpacityTween.prototype.constructor=Tween;
OpacityTween.superclass=Tween.prototype;
function OpacityTween(obj,func,twsnN,dBcTq,BjbjH){
this.targetObject=obj;
this.init(new Object(),'a',func,twsnN,dBcTq,BjbjH);
this.onMotionChanged=function(evt){
var v=evt.target.vMuPb;
var t=this.targetObject;
v=Math.round(v*100)/100
t.style['opacity']=v/100;
t.style['-moz-opacity']=v/100;
html_SetOpacity(t,v/100);
}
}
function html_canvas(BYZXl,dZJHU,NhCIO)
{
return "<canvas id='"+BYZXl+"' width='"+dZJHU+"' height='"+NhCIO+"'></canvas>"
}
function WA_canvas(BYZXl,dZJHU,NhCIO)
{
document.write(html_canvas(BYZXl,dZJHU,NhCIO))
}
function mngko(uJZmg,x0,y0,lx0,ly0)
{
var x=x0+lx0/2;var y=y0+ly0/2;var lx=lx0/2;var ly=ly0/2;var radius=lx0/2;var yRadius=ly0/2;
uJZmg.beginPath();
var theta,xrCtrl,yrCtrl,angleMid,px,py,cx,cy;
theta=Math.PI/4;xrCtrl=radius/Math.cos(theta/2);yrCtrl=yRadius/Math.cos(theta/2);var angle=0;
uJZmg.moveTo(x+radius,y);
for(var i=0;i<8;i++){
angle+=theta;angleMid=angle-(theta/2);cx=x+Math.cos(angleMid)*xrCtrl;cy=y+Math.sin(angleMid)*yrCtrl;px=x+Math.cos(angle)*radius;py=y+Math.sin(angle)*yRadius;
uJZmg.quadraticCurveTo(cx,cy,px,py);
}
}
function felhb(c,x,y,lx,ly,arc,clowckwise)
{
c.beginPath()
tLWBm(c,x,y,lx,ly,arc,clowckwise)
}
function tLWBm(c,x,y,lx,ly,arc,clowckwise)
{
if(clowckwise)
{
c.moveTo(x+arc,y);c.lineTo(x+lx-arc,y);c.quadraticCurveTo(x+lx,y,x+lx,y+arc);c.lineTo(x+lx,y+ly-arc);c.quadraticCurveTo(x+lx,y+ly,x+lx-arc,y+ly);c.lineTo(x+arc,y+ly);c.quadraticCurveTo(x,y+ly,x,y+ly-arc);c.lineTo(x,y+arc);c.quadraticCurveTo(x,y,x+arc,y);
return;
}
c.moveTo(x,y+arc);c.lineTo(x,y+ly-arc);c.quadraticCurveTo(x,y+ly,x+arc,y+ly);c.lineTo(x+lx-arc,y+ly);c.quadraticCurveTo(x+lx,y+ly,x+lx,y+ly-arc);c.lineTo(x+lx,y+arc);c.quadraticCurveTo(x+lx,y,x+lx-arc,y);c.lineTo(x+arc,y);c.quadraticCurveTo(x,y,x,y+arc);
}
function isWebKit()
{
if(navigator.userAgent.match(/webkit/i)) return true;
return false;
}
function isMSIE()
{
return BrowserDetect.browser=="Explorer" 
}
function isMSIE8()
{
if((BrowserDetect.browser=="Explorer")&&(BrowserDetect.version==8))
{
return true;
}
return false;
}
function oXGxW()
{
return isWebKit();
}
function isMobileWithoutFlash()
{
return isIPhone();
}
function isMobileBrowser()
{
return isIPhone();
}
function isIPhone()
{
if(navigator.userAgent.match(/iPhone/i)||navigator.userAgent.match(/iPod/i))
return true;
return false;
}
function OANYR(lx,ly,parent,id_suffixe)
{
var qJsaV=document.createElement('canvas');qJsaV.width=lx;qJsaV.height=ly;
return qJsaV;
}
function ZhkWv(c,kacTn)
{
c.shadowOffsetX=2;c.shadowOffsetY=2;c.shadowBlur=4;
}
function WA_over_img_html(IDsxV,RvTps,NPVBT)
{
if(!IDsxV.src)
{
var cTCjl=IDsxV.getElementsByTagName("IMG")
if(cTCjl.length==1)IDsxV=cTCjl[0]
}
if(IDsxV.src1==undefined)
{
IDsxV.src1=IDsxV.src;
IDsxV.src2=RvTps;
}
if(NPVBT)
{
IDsxV.src=IDsxV.src2;
}
else
{
IDsxV.src=IDsxV.src1;
}
}
function WA_over_img(id,NPVBT)
{

var el=document.getElementById(id) 

var IDsxV=(NPVBT)?el.wa_s_img[1]:el.wa_s_img[0]
WA_img(id,el.wa_lx,el.wa_ly,el.wa_arc,el.wa_bord_siz,el.wa_bord_col,[IDsxV,IDsxV],el.wa_shadow,el.wa_rot)
}
function WA_img(id,lx,ly,arc,qfxYN,bord_col,s_img,shadow,rot)
{
var el=document.getElementById(id)
var c=el.getContext('2d');
var oPvjs=(el.width-lx)/2;
if(el.wa_lx==undefined)
{
el.wa_lx=lx
el.wa_ly=ly
el.wa_arc=arc
el.wa_bord_siz=qfxYN
el.wa_bord_col=bord_col
el.wa_s_img=s_img
el.wa_shadow=shadow
el.wa_rot=rot
c.translate(oPvjs,oPvjs)
}
var gFCmm_img=document.getElementById(id+"-cache")
gFCmm_img.onload=function()
{
c.clearRect(0,0,lx+2*oPvjs,ly+2*oPvjs)
var arc2=arc-qfxYN;
if(arc2<0)arc2=0;
if(oXGxW()==false)
{
if(shadow) MvEEZ(c,0,0,lx,ly,arc,false,rot) 
this.width=lx-2*qfxYN
this.height=ly-2*qfxYN 
if(navigator.userAgent.match(/Firefox/i))
{
var c2=c
if(qfxYN>0)
{
c2.fillStyle=bord_col;
felhb(c2,0,0,lx,ly,arc)
tLWBm(c2,qfxYN,qfxYN,lx-2*qfxYN,ly-2*qfxYN,arc2,true)
c2.fill()
}
felhb(c2,qfxYN,qfxYN,lx-2*qfxYN,ly-2*qfxYN,arc2)
c2.clip()
c2.drawImage(this,qfxYN,qfxYN,lx-2*qfxYN,ly-2*qfxYN);
}
else
{
var nvErf=c.createPattern(this,'no-repeat');
c.fillStyle=nvErf;
c.beginPath() 
felhb(c,qfxYN,qfxYN,lx-2*qfxYN,ly-2*qfxYN,arc2)
c.translate(qfxYN,qfxYN)
c.fill()
c.translate(-qfxYN,-qfxYN)
if(qfxYN>0)
{
c.fillStyle=bord_col;
felhb(c,0,0,lx,ly,arc)
tLWBm(c,qfxYN,qfxYN,lx-2*qfxYN,ly-2*qfxYN,arc2,true)
c.fill()
}
}
}
else
{
var canv2=OANYR(lx,ly,el,"bis");
var c2=canv2.getContext('2d');
if(qfxYN>0)
{
c2.fillStyle=bord_col;
felhb(c2,0,0,lx,ly,arc)
tLWBm(c2,qfxYN,qfxYN,lx-2*qfxYN,ly-2*qfxYN,arc2,true)
c2.fill()
}
felhb(c2,qfxYN,qfxYN,lx-2*qfxYN,ly-2*qfxYN,arc2)
c2.clip()
c2.drawImage(this,qfxYN,qfxYN,lx-2*qfxYN,ly-2*qfxYN);
if(shadow) ZhkWv(c,rot)
c.drawImage(canv2,0,0);
}
}
gFCmm_img.src=s_img[0];
}
function xRifM(c,type,lx,ly,corner)
{
if(type==1)
mngko(c,0,0,lx,ly)
else
felhb(c,0,0,lx,ly,corner)
}
function EtCdD(el,c,type,lx,ly,corner,bg,vKbCJ,rot)
{
if(oXGxW()==false)
{
c.fillStyle=bg;
xRifM(c,type,lx,ly,corner)
c.fill()
}
else
{
var canv2=OANYR(lx,ly,el,"bis");
var c2=canv2.getContext('2d');
c2.fillStyle=bg;
xRifM(c2,type,lx,ly,corner)
c2.fill()
if(vKbCJ) ZhkWv(c,rot)
c.drawImage(canv2,0,0);
c.shadowOffsetX=0;
c.shadowOffsetY=0;
c.shadowBlur=0;
}
}
function udKTP(c,type,lx,ly,NCiNL,bg,QBMqF,jAYDb_glow)
{
if(QBMqF)
{
var x1=QBMqF[0];var y1=QBMqF[1];var lx1=QBMqF[2];var ly1=QBMqF[3];var YFSRp=QBMqF[4];
var njtGV=c.createLinearGradient(x1,y1,x1,y1+ly1);
njtGV.addColorStop(0,"rgba(255,255,255,0.7)");njtGV.addColorStop(1,"rgba(255,255,255,0.1)");
c.fillStyle=njtGV;
if(type==1) mngko(c,x1,y1,lx1,ly1)
else
felhb(c,x1,y1,lx1,ly1,YFSRp)
c.fill()
}
if(jAYDb_glow)
{
var x2=jAYDb_glow[0];var y2=jAYDb_glow[1];var lx2=jAYDb_glow[2];var ly2=jAYDb_glow[3];
var FXPun=jAYDb_glow[4];
var jbxhm_glow=new RGBColor(jAYDb_glow[5]);
jbxhm_glow.a=0;
var col1=jAYDb_glow[5];
var col2=jbxhm_glow.toRGB();
var YGIWL=c.createLinearGradient(x2,y2,x2,y2+ly2);
YGIWL.addColorStop(0,col2);
YGIWL.addColorStop(0.2,col2);
YGIWL.addColorStop(1,col1);
c.fillStyle=YGIWL;
if(type==1) mngko(c,x2,y2,lx2,ly2)
else
felhb(c,x2,y2,lx2,ly2,FXPun)
c.fill()
}
}
function pqrpL(WWOdE,BYZXl,hkmEu,dZJHU,NhCIO,NCiNL,gJgxi,QBMqF,jAYDb_glow,vKbCJ,kacTn)
{
WWOdE.BYZXl=BYZXl;WWOdE.hkmEu=hkmEu;
WWOdE.dZJHU=dZJHU;WWOdE.NhCIO=NhCIO;
WWOdE.NCiNL=NCiNL;WWOdE.gJgxi=gJgxi,WWOdE.QBMqF=QBMqF;
WWOdE.jAYDb_glow=jAYDb_glow;WWOdE.vKbCJ=vKbCJ;WWOdE.kacTn=kacTn;
}
function WA_but_over(BYZXl,gJgxi_over,jbxhm_glow)
{
var dmGRY=document.getElementById(BYZXl) 
if(dmGRY&&dmGRY.bCdMQ)
with(dmGRY.bCdMQ)
{
var jAYDb_glow_over;
if(jAYDb_glow&&jbxhm_glow)
{
jAYDb_glow_over=new Array();
for(var qurbo=0;qurbo<jAYDb_glow.length;qurbo++)jAYDb_glow_over[qurbo]=jAYDb_glow[qurbo];
jAYDb_glow_over[5]=jbxhm_glow;
}
WA_but(BYZXl,hkmEu,dZJHU,NhCIO,NCiNL,gJgxi_over,QBMqF,jAYDb_glow_over,vKbCJ,kacTn);
}
var pKSYw_over0=document.getElementById(BYZXl+"-div0")
if(pKSYw_over0)html_SetVisibility(pKSYw_over0,false);
var AuJpn=document.getElementById(BYZXl+"-div1")
if(AuJpn)html_SetVisibility(AuJpn,true);
}
function WA_but_out(BYZXl)
{
var dmGRY=document.getElementById(BYZXl)
with(dmGRY.bCdMQ)
{
WA_but(BYZXl,hkmEu,dZJHU,NhCIO,NCiNL,gJgxi,QBMqF,jAYDb_glow,vKbCJ,kacTn);
}
var pKSYw_over0=document.getElementById(BYZXl+"-div0")
if(pKSYw_over0)html_SetVisibility(pKSYw_over0,true);
var AuJpn=document.getElementById(BYZXl+"-div1")
if(AuJpn)html_SetVisibility(AuJpn,false);
}
function WA_but(id,type,lx,ly,corner,bg,top_light,s_glow,vKbCJ,rot)
{
var el=document.getElementById(id)
if(el.bCdMQ==undefined)
{
el.bCdMQ=new Array();
pqrpL(el.bCdMQ,id,type,lx,ly,corner,bg,top_light,s_glow,vKbCJ,rot);
}
var c=el.getContext('2d');
var oPvjs=0;
if(vKbCJ)oPvjs=6 
c.fillStyle="#000000";
c.fillRect(0,0,lx+2*oPvjs,ly+2*oPvjs) 
c.clearRect(0,0,lx+2*oPvjs,ly+2*oPvjs) 
var bg2=bg
if(bg2.substring(0,1)=="(")
{
bg2=bg2.substring(1)
bg2=bg2.substring(0,bg2.length-1)
var img=new Image();
img.onload=function()
{
if(oXGxW()==false)
{
c.translate(oPvjs,oPvjs)
img.width=lx
img.height=ly 
if(vKbCJ)
MvEEZ(c,0,0,lx,ly,corner,(type==1),rot)
if(navigator.userAgent.match(/Firefox/i))
{
c.beginPath()
xRifM(c,type,lx,ly,corner)
c.clip()
c.drawImage(img,0,0,lx,ly);
}
else
{
var ptrn=c.createPattern(img,'no-repeat');
c.fillStyle=ptrn;
c.beginPath()
xRifM(c,type,lx,ly,corner)
c.fill()
}
udKTP(c,type,lx,ly,corner,bg,top_light,s_glow)
c.translate(-oPvjs,-oPvjs)
}
else
{
var canv2=OANYR(lx,ly,el,"bis");
var c2=canv2.getContext('2d');
c2.beginPath()
xRifM(c2,type,lx,ly,corner)
c2.clip()
c2.drawImage(img,0,0,lx,ly);
udKTP(c2,type,lx,ly,corner,bg,top_light,s_glow)
if(vKbCJ) ZhkWv(c,rot) 
c.drawImage(canv2,oPvjs,oPvjs);
}
}
img.src=bg2;
return;
}
c.translate(oPvjs,oPvjs) 
if(vKbCJ&&(oXGxW()==false))
{
var HWKjw=new RGBColor(bg);
if(HWKjw.a>0)
{
MvEEZ(c,0,0,lx,ly,corner,(type==1),rot)
}
}
EtCdD(el,c,type,lx,ly,corner,bg2,vKbCJ,rot)
udKTP(c,type,lx,ly,corner,bg,top_light,s_glow)
c.translate(-oPvjs,-oPvjs)
}
function MvEEZ(c,x0,y0,lx0,ly0,corner,is_circle,rot)
{
var decShadow=2;
c.translate(decShadow,decShadow)
var dec_init=2;
var x=x0-dec_init;var y=y0-dec_init;var lx=lx0+2*dec_init;var ly=ly0+2*dec_init;var opacity=0.1;
for(var n=0;n<4;n++)
{
c.beginPath()
if(is_circle) mngko(c,x,y,lx,ly);else felhb(c,x,y,lx,ly,corner);
c.fillStyle="rgba(0,0,0, "+opacity+")"
c.fill()
x+=1;y+=1;lx-=2;ly-=2;opacity+=0.04
}
c.translate(-decShadow,-decShadow)
}
function XgdkW(id,x,y,lx,ly,arc,qfxYN,bord_col,bg,shadow,rot,cXOuf,sXZbO)
{
if(sXZbO==undefined)sXZbO=true;
var el=document.getElementById(id)
var c=el.getContext('2d');
if(cXOuf==undefined)cXOuf=1.0;
var oPvjs=0;
c.shadowOffsetX=0;
c.shadowOffsetY=0;
c.shadowBlur=0;
if(shadow)
{
oPvjs=6;
}
if(sXZbO) c.clearRect(0,0,el.width,el.height)
c.globalAlpha=cXOuf 
var x_rect0=0;
var y_rect0=0;
var bg1=bg[0]
var fill_obj=false;
if(bg1.substring(0,1)=="(")
{
bg1=bg1.substring(1);
bg1=bg1.substring(0,bg1.length-1)
var JjAdv=bg1.split(";");
var x1=parseFloat(JjAdv[0]);
var y1=parseFloat(JjAdv[1]);
var x2=parseFloat(JjAdv[2]);
var y2=parseFloat(JjAdv[3]);
var col1=JjAdv[4];
var col2=JjAdv[5];
var grad=c.createLinearGradient(x1,y1,x2,y2);
grad.addColorStop(0,col1);
grad.addColorStop(1,col2);
fill_obj=grad
}
else
{
if(bg1.length==0)bg1='rgba(0,0,0,0)'
fill_obj=bg1;
}
var arc2=arc-qfxYN;
if(arc2<0)arc2=0
var canv2=false;
var c2=c;
{
if(shadow) MvEEZ(c,oPvjs,oPvjs,lx,ly,arc,false,rot)
}
if(qfxYN>0)
{
c2.fillStyle=bord_col;
felhb(c2,x,y,lx,ly,arc)
tLWBm(c2,x+qfxYN,y+qfxYN,lx-2*qfxYN,ly-2*qfxYN,arc2,true)
c2.fill()
}


c2.fillStyle=fill_obj 
felhb(c2,x+qfxYN,y+qfxYN,lx-2*qfxYN,ly-2*qfxYN,arc2)
c2.fill();
}
function osGTG(McsLd,QlQGg,hFBZh)
{
return new Point(Math.round(McsLd*Math.cos(hFBZh)-QlQGg*Math.sin(hFBZh)),Math.round(McsLd*Math.sin(hFBZh)+QlQGg*Math.cos(hFBZh)))
}
function ShSvn(c,x,y,lx,ly,arc,clowckwise,kacTn)
{
c.beginPath()
pjNDs(c,x,y,lx,ly,arc,clowckwise,kacTn)
}
function pjNDs(c,x,y,lx,ly,arc,clowckwise,kacTn)
{
if(clowckwise)
{
c.moveTo(x+arc,y);
c.lineTo(x+lx-arc,y);
c.quadraticCurveTo(x+lx,y,x+lx,y+arc);
c.lineTo(x+lx,y+ly-arc);
c.quadraticCurveTo(x+lx,y+ly,x+lx-arc,y+ly);
c.lineTo(x+arc,y+ly);
c.quadraticCurveTo(x,y+ly,x,y+ly-arc);
c.lineTo(x,y+arc);
c.quadraticCurveTo(x,y,x+arc,y);
return;
}
var WilGN=[[x,y+arc],[x,y+ly-arc],[x,y+ly],[x+arc,y+ly],[x+lx-arc,y+ly],[x+lx,y+ly],[x+lx,y+ly-arc],[x+lx,y+arc],[x+lx,y],[x+lx-arc,y],[x+arc,y],[x,y],[x,y+arc]];
var theta=kacTn*2*Math.PI/360
for(var n=0;n<WilGN.length;n++)
{
var GmNUU=WilGN[n][0]
var wKIqg=WilGN[n][1]
WilGN[n][0]=GmNUU*Math.cos(theta)-wKIqg*Math.sin(theta);
WilGN[n][1]=GmNUU*Math.sin(theta)+wKIqg*Math.cos(theta);
}
var n=0;
c.moveTo(WilGN[n][0],WilGN[n++][1]);
c.lineTo(WilGN[n][0],WilGN[n++][1]);
c.quadraticCurveTo(WilGN[n][0],WilGN[n++][1],WilGN[n][0],WilGN[n++][1]);
c.lineTo(WilGN[n][0],WilGN[n++][1]);
c.quadraticCurveTo(WilGN[n][0],WilGN[n++][1],WilGN[n][0],WilGN[n++][1]);
c.lineTo(WilGN[n][0],WilGN[n++][1]);
c.quadraticCurveTo(WilGN[n][0],WilGN[n++][1],WilGN[n][0],WilGN[n++][1]);
c.lineTo(WilGN[n][0],WilGN[n++][1]);
c.quadraticCurveTo(WilGN[n][0],WilGN[n++][1],WilGN[n][0],WilGN[n++][1]);
}
function ZscTR(a,b,x,y)
{
return(a*x-y+b)/(Math.sqrt(1+a*a))
}
function pCUQs(new_a1,new_b1,bQUQa,multi)
{
var d=0;
for(var i=0;i<bQUQa.length;i++)
{
var lKPCY=bQUQa[i]
var d1=ZscTR(new_a1,new_b1,lKPCY.x,lKPCY.y)
if(multi<0)
{
if(d1<0) d=Math.max(d,-d1);
}
else
{
if(d1>0) d=Math.max(d,d1);
}
}
return d;
}
function YCYIw(o1,o2)
{
if(o1<o2) return-1
if(o1>o2) return 1
return 0
}
function sljNW(c,lx,ly,bg1)
{
var fill_obj=false;
var QJwJF=false;
var uwttF=false;
var bQUQa=false
if(bg1.substring(0,1)=="(")
{
bg1=bg1.substring(1);
bg1=bg1.substring(0,bg1.length-1)
var JjAdv=bg1.split(";");
var wdSgB=new Point(parseFloat(JjAdv[0]),parseFloat(JjAdv[1]));
var GYMdq=new Point(parseFloat(JjAdv[2]),parseFloat(JjAdv[3]));
QJwJF=wdSgB.clone()
uwttF=GYMdq.clone()
var col1=JjAdv[4];
var col2=JjAdv[5];
var grad=c.createLinearGradient(QJwJF.x,QJwJF.y,uwttF.x,uwttF.y);
if(isMSIE())
{
QJwJF=wdSgB.clone()
uwttF=GYMdq.clone() 
var njtGV=0;
var YGIWL=1;
{
bQUQa=[{x:0,y:0},{x:lx,y:0},{x:lx,y:ly},{x:0,y:ly}]
var d1=0;
var d2=0;
var a=(uwttF.y-QJwJF.y)/(uwttF.x-QJwJF.x);
var b=QJwJF.y-a*QJwJF.x;
var diff=1;
if(a==Infinity)
{
d1=(QJwJF.y)
d2=(ly-uwttF.y)
}
else
if(a==0)
{
d1=(QJwJF.x)
d2=(lx-uwttF.x)
}
else
{
var new_a1=-1/a;
var new_b1=QJwJF.y-new_a1*QJwJF.x;
d1=pCUQs(new_a1,new_b1,bQUQa,-1)
var new_b2=uwttF.y-new_a1*uwttF.x;
d2=pCUQs(new_a1,new_b2,bQUQa,1)
if(new_a1<0)diff=-1;
}
var d=Math.sqrt(Math.pow(uwttF.x-QJwJF.x,2)+Math.pow(uwttF.y-QJwJF.y,2))
var total=(d1+d+d2)
njtGV=d1/total;
YGIWL=(d1+d)/total;
var pt_prod0=new Point(uwttF.x-QJwJF.x,uwttF.y-QJwJF.y)
var pt_prod1=new Point(0,100)
var prod=(pt_prod0.x*pt_prod1.y-pt_prod1.x*pt_prod0.y);
if(prod*diff<0)
{
njtGV=d2/total;
YGIWL=(d2+d)/total;
}
}
grad.addColorStop(njtGV,col1);
grad.addColorStop(YGIWL,col2);

}
else
{
grad.addColorStop(0,col1);
grad.addColorStop(1,col2);
}
fill_obj=grad
}
else
{
fill_obj=bg1;
}
return fill_obj;
}
function WA_bg3(id,lx,ly,arc,qfxYN,bord_col,bg,shadow,rot,mZASj,NrIIh,cXOuf,sXZbO)
{


var theta=rot*2*Math.PI/360 
if(sXZbO==undefined)sXZbO=true;
if(cXOuf==undefined)cXOuf=1.0;
var el=document.getElementById(id)
if(!el)return
var c=el.getContext('2d');
var oPvjs=(el.width-lx)/2;
if(sXZbO) c.clearRect(0,0,el.width,el.height)
var x_rect0=oPvjs;
var y_rect0=oPvjs;
var bg1=bg[0]
var fill_obj=false;
var QJwJF=false;
var uwttF=false;
var bQUQa=false
fill_obj=sljNW(c,lx,ly,bg1) 
if(cXOuf==undefined)cXOuf=1.0;
var arc2=arc-qfxYN;
if(arc2<0)arc2=0
var canv2=false;
var c2=c;
if(shadow)
{
c2.translate(mZASj+6,NrIIh+6)
}
else
{
c2.translate(mZASj,NrIIh)
}
c2.fillStyle=fill_obj;
ShSvn(c2,qfxYN,qfxYN,lx-2*qfxYN,ly-2*qfxYN,arc2,false,rot)
c2.fill();
}
function WA_bg(id,lx,ly,arc,qfxYN,bord_col,bg,shadow,rot,cXOuf,sXZbO)
{

if(sXZbO==undefined)sXZbO=true;
if(cXOuf==undefined)cXOuf=1.0;
var el=document.getElementById(id)
if(!el)return
var c=el.getContext('2d');
var oPvjs=(el.width-lx)/2;
if(sXZbO) c.clearRect(0,0,el.width,el.height) 

var fill_obj=sljNW(c,lx,ly,bg[0])
if(bg.length>1)
{
var bg2=bg[1]
var img=new Image();
img.onload=function()
{
var ptrn=c.createPattern(img,'repeat');
c.fillStyle=ptrn;
c.beginPath()
MeDnM(c,el,lx,ly,arc,qfxYN,bord_col,ptrn,shadow,rot,cXOuf)
}
img.src=bg2;
}
else
{
MeDnM(c,el,lx,ly,arc,qfxYN,bord_col,fill_obj,shadow,rot,cXOuf)
}
}
function MeDnM(c,el,lx,ly,arc,qfxYN,bord_col,fill_obj,shadow,rot,cXOuf)
{
if(cXOuf==undefined)cXOuf=1.0;
var arc2=arc-qfxYN;
if(arc2<0)arc2=0
var oPvjs=(el.width-lx)/2;
var x_rect0=oPvjs;
var y_rect0=oPvjs;
var canv2=false;
var c2=c;
c.globalAlpha=cXOuf
if(oXGxW()==true)
{
canv2=OANYR(lx,ly);
c2=canv2.getContext('2d');
c2.globalAlpha=cXOuf
}
else
{
c2.translate(oPvjs,oPvjs)
if(shadow) MvEEZ(c,0,0,lx,ly,arc,false,rot)
}
if(qfxYN>0)
{
c2.fillStyle=bord_col;
felhb(c2,0,0,lx,ly,arc)
tLWBm(c2,qfxYN,qfxYN,lx-2*qfxYN,ly-2*qfxYN,arc2,true)
c2.fill()
}
c2.fillStyle=fill_obj;
felhb(c2,qfxYN,qfxYN,lx-2*qfxYN,ly-2*qfxYN,arc2)
c2.fill();
if(oXGxW()==true)
{
if(shadow) ZhkWv(c,rot)
c.drawImage(canv2,oPvjs,oPvjs);
}
else
{
c2.translate(-oPvjs,-oPvjs)
}
}
function WA_div_offset(id,x,y)
{
if(isMSIE())
{
var el=document.getElementById(id)
if(el.filters)
{
el.style.left=""+x+"px";el.style.top=""+y+"px";
}
}
}


function Size(lx,ly)
{
this.width=lx;this.height=ly;
this.clone=function(){return new Size(this.width,this.height)}
this.greaterThan=function(jAYDb){return(this.width>jAYDb.width)&&(this.height>jAYDb.height)}
this.scale=function(CPQuc,JHZbv)
{
if(!JHZbv)JHZbv=false
var oRmOS=this;
var nFYhb=oRmOS.width
var YDTuc=oRmOS.height
var p1=nFYhb*CPQuc.height;
var p2=CPQuc.width*YDTuc;
var r1=nFYhb/YDTuc;
var r2=YDTuc/nFYhb;
var newSize1=new Size(CPQuc.height*r1,CPQuc.height);
var newSize2=new Size(CPQuc.width,CPQuc.width*r2);
if(p2>p1)
{
if((JHZbv==true)||((newSize1.width<=oRmOS.width)&&(newSize1.height<=oRmOS.height)))
{
oRmOS.width=Math.round(newSize1.width);
oRmOS.height=Math.round(newSize1.height);
}
}
else
{
if((JHZbv==true)||((newSize2.width<=oRmOS.width)&&(newSize2.height<=oRmOS.height)))
{
oRmOS.width=Math.round(newSize2.width);
oRmOS.height=Math.round(newSize2.height);
}
}
this.width=oRmOS.width;
this.height=oRmOS.height;
return true;
}
}
function Point(p_x,p_y){this.x=p_x;this.y=p_y;
this.translate=function(McsLd,QlQGg){this.x+=McsLd;this.y+=QlQGg;}
this.clone=function(){return new Point(this.x,this.y)}
}
function Rect(p_x,p_y,lx,ly)
{
this.x=p_x;this.y=p_y;this.width=lx;this.height=ly;
this.clone=function(){return new Rect(this.x,this.y,this.width,this.height)}
this.equals=function(gSRYh){return(this.x==gSRYh.x)&&(this.y==gSRYh.y)&&(this.width==gSRYh.width)&&(this.height==gSRYh.height);}
this.copy=function(gSRYh){this.x=gSRYh.x;this.y=gSRYh.y;this.width=gSRYh.width;this.height=gSRYh.height;}
this.translate=function(McsLd,QlQGg){this.x+=McsLd;this.y+=QlQGg;}
}
function html_getLayer(gSRYh)
{
if(typeof(gSRYh)=="string")return document.getElementById(gSRYh);
return gSRYh;
}
function html_SetPosition(gSRYh,McsLd,QlQGg){
gSRYh=html_getLayer(gSRYh);
gSRYh.style.left=McsLd+"px";gSRYh.style.top=QlQGg+"px";
}
function html_SetSize(YobrL,dZJHU,NhCIO){
gSRYh=html_getLayer(YobrL);
gSRYh.style.width=dZJHU+"px";gSRYh.style.height=NhCIO+"px";
}
function html_SetRect(gSRYh,lAlih){html_SetGeometry(gSRYh,lAlih.x,lAlih.y,lAlih.width,lAlih.height);}
function html_SetGeometry(gSRYh,McsLd,QlQGg,dZJHU,NhCIO){html_SetPosition(gSRYh,McsLd,QlQGg);html_SetSize(gSRYh,dZJHU,NhCIO);}
function html_SetVisibility(gSRYh,TTHYs){gSRYh=html_getLayer(gSRYh);gSRYh.style.visibility=(TTHYs)?"visible":"hidden";}
function html_SetDisplay(gSRYh,TTHYs){gSRYh=html_getLayer(gSRYh);gSRYh.style.display=(TTHYs)?"block":"none";}
function html_SetCanvasSize(gSRYh,dZJHU,NhCIO){gSRYh=html_getLayer(gSRYh);gSRYh.width=dZJHU;gSRYh.height=NhCIO;}
function html_writeContent(gSRYh,jAYDb){gSRYh=html_getLayer(gSRYh);gSRYh.innerHTML=jAYDb;}
function html_SetOpacity(gSRYh,rmeIq)
{
gSRYh=html_getLayer(gSRYh);
gSRYh.style['opacity']=rmeIq;
gSRYh.style['-moz-opacity']=rmeIq;
gSRYh.style.filter=(rmeIq==1)?'':'alpha(opacity='+(rmeIq*100)+')';
}
var ksSXc=[
{acc:"e",l:["é","è","ë"]},{acc:"a",l:["à","ä","â"]},{acc:"u",l:["ü","û"]},{acc:"c",l:["ç"]},{acc:"o",l:["ö","ô"]}
];
function removeAccentsFromString(s)
{
var res=s.toLowerCase();
for(var i=0;i<ksSXc.length;i++)
{
var array2=ksSXc[i].l;
for(var i2=0;i2<array2.length;i2++)
{
var reg=new RegExp(array2[i2],"g");
res=res.replace(reg,ksSXc[i].acc)
}
}
return res;
}
function trimString(str)
{
return str.replace(/^\s*|\s*$/g,"");
}
function IsNumeric(LusWI)
{
var vOEXr="0123456789.";var lQsbL=true;var dknNW;
for(qurbo=0;qurbo<LusWI.length&&lQsbL==true;qurbo++){dknNW=LusWI.charAt(qurbo);if(vOEXr.indexOf(dknNW)==-1) lQsbL=false;}
return lQsbL;
}
function getWindowScroll()
{
var x=0;var y=0;
if(typeof(window.pageYOffset)=='number'){
x=window.pageXOffset;y=window.pageYOffset;
}else if(document.body&&(document.body.scrollLeft||document.body.scrollTop)){
x=document.body.scrollLeft;y=document.body.scrollTop;
}else if(document.documentElement&&(document.documentElement.scrollLeft||document.documentElement.scrollTop)){
x=document.documentElement.scrollLeft;y=document.documentElement.scrollTop;
}
return new Point(x,y);
}
function getWindowSize()
{
var lx=0;var ly=0;;
if(isMSIE())
{
lx=document.documentElement.clientWidth;ly=document.documentElement.clientHeight;
if((lx==0)&&(ly==0))
{
if(document.body&&(document.body.clientWidth)){
lx=document.body.clientWidth;ly=document.body.clientHeight;
}
}
}
else
if(typeof(window.innerWidth)=='number')
{
lx=window.innerWidth;
if(document.documentElement.clientWidth>0)lx=document.documentElement.clientWidth
ly=window.innerHeight;
if(document.documentElement.clientHeight>0)ly=document.documentElement.clientHeight
}
if(isIPhone())
if(typeof(window.innerWidth)=='number')
{
lx=window.innerWidth;ly=window.innerHeight;
}
return new Size(lx,ly);
}
function getWindowFullSize()
{
var lx=0;var ly=0;;
if(isMSIE())
{
lx=document.documentElement.clientWidth;ly=document.documentElement.clientHeight;
if((lx==0)&&(ly==0))
{
if(document.body&&(document.body.clientWidth)){
lx=document.body.clientWidth;ly=document.body.clientHeight;
}
}
}
else
if(typeof(window.innerWidth)=='number'){
lx=window.innerWidth;
if(document.documentElement.clientWidth>0)lx=document.documentElement.clientWidth
ly=window.innerHeight;
if(document.documentElement.clientHeight>0)ly=document.documentElement.clientHeight
}
return new Size(lx,ly);
}
function urlSuffixe(XBHVq)
{
var uHPvE=XBHVq*60;
var HfqmK=new Date();
var seZmN=0;
seZmN+=HfqmK.getYear()*12*31*24*60*60;
seZmN+=HfqmK.getMonth()*31*24*60*60;
seZmN+=HfqmK.getDate()*24*60*60;
seZmN+=HfqmK.getHours()*60*60;
seZmN+=HfqmK.getMinutes()*60;
seZmN+=HfqmK.getSeconds();
if(uHPvE!=0)
{
seZmN=Math.floor(seZmN/uHPvE)*uHPvE
}
return "-"+seZmN;
}
function html_findPos(obj)
{
var rmeIq=YqOIV(obj)
return new Point(rmeIq[0],rmeIq[1])
}
function YqOIV(obj)
{
var curleft=curtop=0;
if(obj.offsetParent)
{
do
{
curleft+=obj.offsetLeft;curtop+=obj.offsetTop;
}while(obj=obj.offsetParent);
}
return [curleft,curtop];
}
function Wa_search_input(SCcCo,dZJHU,NhCIO)
{
document.write("<input id='"+SCcCo+"' type=search results=0 placeholder='' style='width:"+dZJHU+"px;height:"+NhCIO+"px;'>")
}
function orgjn()
{
var cTCjl=document.getElementsByTagName("A");
for(var qurbo=0;qurbo<cTCjl.length;qurbo++)
{
var gSRYh=cTCjl[qurbo];
if(gSRYh.onmouseover)gSRYh.onmouseover=null;
if(gSRYh.onmouseout)gSRYh.onmouseout=null;
}
}
function dqsvS()
{
for(var khhOd in document.wa_global_list_element)
{
var BYZXl=document.wa_global_list_element[khhOd]
var dmGRY=document.getElementById(BYZXl)
dmGRY.onclick=function()
{
WA_focus(this)
}
}
}
function WA_declare(BYZXl)
{
if(!document.wa_global_list_element)
{
document.wa_global_list_element=new Array();;
}
document.wa_global_list_element.push(BYZXl)
}
function kaDSb()
{
var FGqMK=window.location.search;
if(FGqMK.substr(0,1)=="?")FGqMK=FGqMK.substr(1);
if(FGqMK.length==0)return;
var mEBZa=new Array();
var udxAs=FGqMK.split("&");
for(var i=0;i<udxAs.length;i++)
{
var oPGUP=udxAs[i].split("=");mEBZa[oPGUP[0]]=oPGUP[1];
}
var jAYDb_info=mEBZa["crbst_info"];
if(!jAYDb_info)return;
var rmjLr=new Array();
rmjLr.m_unid=jAYDb_info;
rmjLr.m_index_item=-1;
var cuDIq=jAYDb_info.indexOf("-");
if(cuDIq!=-1)
{
rmjLr.m_unid="wa-id-"+jAYDb_info.substring(0,cuDIq);
rmjLr.m_index_item=parseInt(jAYDb_info.substring(cuDIq+1));
}
document.wa_global_query_info=rmjLr;
}
function IS_onload_WA()
{

if(isMSIE8())
{
wa_timeout("IS_onload_ui()",0)
}
else
{
IS_onload_ui()
}
if(isIPhone())
{
orgjn()
}
else
{
dqsvS()
}
kaDSb();

YiAfO()
}
function YiAfO()
{
var Shhpu=0;
var SVrFO=document.webaca_banner_height;
if(document.webaca_page_is_centered)
{
var tsdvx=getWindowSize().width
var AJMRo=document.webaca_width_page
if(tsdvx>AJMRo)Shhpu=(tsdvx-AJMRo)/2;
}
document.body.style.backgroundPosition=Shhpu+"px "+SVrFO+"px";
}


function WA_loadMessages()
{
for(var k in CONST_WA_TR)
{
var key=CONST_WA_TR[k]
Translator.m_tr[key[0]]=key[1]
}
for(var n=0;n<CONST_WA_COUNTRIES.codes.length;n++)
{
var LCcae=CONST_WA_COUNTRIES.codes[n]
var noXTZ=CONST_WA_COUNTRIES.labels[n]
Translator.m_countries[LCcae]=noXTZ
}
}
function Translator()
{
}
Translator.m_tr=new Array();
Translator.m_countries=new Array();
Translator.tr=function(k)
{
try
{
var v=Translator.m_tr[k]
if((v==undefined)||(v.length==0))return "@"+k;
v=v.replace(/\n/g,"<br>")
return v
}
catch(e){}
return k;
}
Translator.country=function(k)
{
try
{
var v=Translator.m_countries[k]
if((v==undefined)||(v.length==0))return "@"+k;
return v
}
catch(e){}
return k;
}
function WA_GraphicElement(BYZXl,ojYlX,vKbCJ)
{
this.BYZXl=BYZXl;
this.ojYlX=ojYlX
this.vKbCJ=vKbCJ;
this.KXkiu=this.BYZXl+"-div"
this.SnKdW=this.BYZXl+"-canvas"
this.NrHwg=new Rect(0,0,0,0)
this.haioI=false;
this.CFYaL=false;
this.oPvjs=6;
this.TTmXn=false;
this.rCZqf=false;
this.DKJTb=false;
this.nfbPC="";
this.shadow=function()
{
return this.vKbCJ;
}
this.marginShadow=function()
{
return this.oPvjs;
}
this.rect=function()
{
return this.NrHwg;
}
this.canvasId=function()
{
return this.SnKdW;
}
this.divId=function()
{
return this.KXkiu;
}
this.opacity=function()
{
return this.taYHU;
}
this.img_clip=function()
{
return this.rCZqf;
}
this.img_src=function()
{
return this.TTmXn;
}
this.toHtml=function()
{
var jAYDb=""
jAYDb+="<div id='"+this.KXkiu+"' style=\"";
jAYDb+="position:absolute;";
if(this.nfbPC.length>0)
{
jAYDb+="cursor:pointer;";
}
if(this.rect.x>0)jAYDb+="left:"+this.rect.x+"px;";
if(this.rect.y>0)jAYDb+="top:"+this.rect.y+"px;";
if(this.rect.width>0)jAYDb+="width:"+this.rect.width+"px;";
if(this.rect.height>0)jAYDb+="height:"+this.rect.height+"px;";
if(ojYlX)
jAYDb+="z-index:"+ojYlX+";";
jAYDb+="\" ";
if(this.nfbPC.length>0)
{
jAYDb+="onclick=\""+this.nfbPC+"\" "
}
jAYDb+=">";
if((this.rect.width>0)&&this.shadow())
{
jAYDb+=html_canvas(this.SnKdW,this.rect.width+2*this.oPvjs,this.rect.height+2*this.oPvjs)+"</div>";
}
else
{
jAYDb+=html_canvas(this.SnKdW,0,0)+"</div>";
}
return jAYDb
}
this.setImage=function(KmMjg,SGjwV,kacTn)
{
if(kacTn==undefined)kacTn=0;
if((KmMjg==this.TTmXn)&&(this.rCZqf&&this.rCZqf.equals(SGjwV))&&(this.DKJTb==kacTn))
{
return;
}
this.DKJTb=kacTn;
this.TTmXn=KmMjg;
this.rCZqf=SGjwV;
this.aIMDv()
}
this.registerDynamicCanvas=function()
{
registerDynamicCanvas(this.SnKdW);
this.CFYaL=true;
this.setRect(this.NrHwg.x,this.NrHwg.y,this.NrHwg.width,this.NrHwg.height)
}
this.aIMDv=function()
{
if((this.NrHwg.width>0)&&(this.NrHwg.height>0))
{
this.draw()
}
this.haioI=true
};
this.draw=function(){};
this.setPosition=function(McsLd,QlQGg)
{
this.NrHwg.x=McsLd;this.NrHwg.y=QlQGg;
if(this.CFYaL==false)return
html_SetPosition(this.KXkiu,this.NrHwg.x,this.NrHwg.y)
if(this.haioI==false)
{
this.aIMDv()
}
}
this.setOnClick=function(jAYDb)
{
this.nfbPC=jAYDb
}
this.width=function(){return this.NrHwg.width;}
this.height=function(){return this.NrHwg.height;}
this.setSize=function(dZJHU,NhCIO)
{
this.NrHwg.width=dZJHU;this.NrHwg.height=NhCIO;
var JudDO=dZJHU
var FOsou=NhCIO
if(this.vKbCJ)
{
JudDO+=2*this.oPvjs
FOsou+=2*this.oPvjs
}
if(this.CFYaL==false)return
html_SetSize(this.KXkiu,JudDO,FOsou)
html_SetCanvasSize(this.SnKdW,dZJHU,NhCIO)
this.aIMDv()
}
this.setRect=function(McsLd,QlQGg,dZJHU,NhCIO)
{
this.NrHwg.x=McsLd;this.NrHwg.y=QlQGg;this.NrHwg.width=dZJHU;this.NrHwg.height=NhCIO;
var JudDO=dZJHU
var FOsou=NhCIO
var dXvuL=McsLd
var diiJM=QlQGg
if(this.vKbCJ)
{
JudDO+=2*this.oPvjs
FOsou+=2*this.oPvjs
dXvuL-=this.oPvjs
diiJM-=this.oPvjs
}
if(this.CFYaL==false)return 
html_SetGeometry(this.KXkiu,dXvuL,diiJM,JudDO,FOsou);
html_SetCanvasSize(this.SnKdW,JudDO,FOsou)
try{this.aIMDv()}catch(e){
alert(e.message)
}
}
this.setVisible=function(TTHYs)
{
if(this.CFYaL==false)return
html_SetVisibility(this.KXkiu,TTHYs)
}
this.setOpacity=function(rmeIq)
{
this.taYHU=rmeIq 
if(this.CFYaL==false)return
this.aIMDv()
}
}

function is_onresize()
{
WA_Dialog.resizeUI()
try
{
if(WA_PhotoAlbum_resizeUI)WA_PhotoAlbum_resizeUI()
}
catch(e){}
YiAfO()
}
function is_onscroll()
{
centerFullPageContainer();
}
function registerDynamicCanvas(id)
{
if(isMSIE())
G_vmlCanvasManager.initElement(document.getElementById(id));
}
function WA_openDialogAction(khhOd)
{
var NNUER=WA_Dialog.uxQdn;
if(khhOd==-1){NNUER.closeWin();return;}
var NSkYn=NNUER.WBMhW(khhOd);
if(NSkYn[5])
{
NSkYn[4].call(NSkYn[6],NSkYn[5])
}
else
{
NSkYn[4](NSkYn[5]);
}
}
function WA_Dialog(TTHYs_close_button)
{
this.IlAft=0;
this.IAKDM=0;
this.CPQuc_win_width=600;
this.CPQuc_win_height=400;
this.EFEIV=new Array();
this.ATPgw="wa-dialog-but-";
this.NppxA=this.ATPgw+"div-";
this.aRYnV=this.ATPgw+"canvas-";
this.BUTTON_HEIGHT=25;
this.iUhIa=CONST_WA_GLOBAL_COLOR_THEME;
this.TTHYs_close_button=TTHYs_close_button;
this.xWoIk=6;
this.mjENf=function()
{
if(this.TTHYs_close_button==undefined)this.TTHYs_close_button=true;
this.HBEeq();
}
this.resetButtons=function()
{
this.HBEeq();
}
this.idealHeight=function()
{
return this.UQpMm
}
this.displayWindowWithAutoResize=function(GZLNR,YcCkL)
{
this.sJaXr=false
this.UQpMm=GZLNR
this.rXNOw=YcCkL 
this.resetButtons();
YcCkL.call(this)
var l=document.getElementById('wa-dialog-content');
if(this.sJaXr==false)
if(l.scrollHeight>200)
{
this.sJaXr=true
this.UQpMm=l.scrollHeight+150
this.resetButtons();
YcCkL.call(this)
}
}
this.initializeWindow=function(CPQuc_lx,CPQuc_ly)
{
if(WA_Dialog.uxQdn)WA_Dialog.uxQdn.closeWin()
WA_Dialog.uxQdn=this;
this.CPQuc_win_width=CPQuc_lx;
this.CPQuc_win_height=CPQuc_ly;
this.KoxAm()
}
this.progress=function()
{
this.initializeWindow(300,100) 
this.writeContent("<div width=100% align=center><img src='wa_loading.gif'></div>")
}
this.Mbcvr=function(mess)
{


this.initializeWindow(450,130)
var s=""
s+="<table border=0 style='width:100%;'><tr>";
s+="<td align=center style='"+this.cssText1()+"'>"
s+=mess
s+="</td></tr></table>"
this.writeContent(s)
}
this.addButton=function(noXTZ,Hjvtg,gFCmm,BkMsU)
{
var XDskN=this.EFEIV.length
if(this.TTHYs_close_button==true)
{
XDskN--;
}
var dZJHU=Math.max((noXTZ.length*8)*1.2+30,80)
var oRmOS=new Size(dZJHU,this.BUTTON_HEIGHT);
this.OeHjw("action_"+XDskN,XDskN,noXTZ,Hjvtg,oRmOS,gFCmm,BkMsU)
}
this.HBEeq=function()
{
this.EFEIV=new Array();
if(this.TTHYs_close_button)
{
var oRmOS=new Size(120,20);
this.OeHjw("close",-1,Translator.tr("Close")+" - X",null,oRmOS)
}
}
this.OeHjw=function(LBRUL,XDskN,noXTZ,Hjvtg,oRmOS,gFCmm,BkMsU)
{
var NSkYn=[LBRUL,oRmOS,XDskN,noXTZ,Hjvtg,gFCmm,BkMsU];
this.EFEIV.push(NSkYn);
}
this.writeContent=function(s)
{
var l=document.getElementById('wa-dialog-content');
l.innerHTML=s
}
this.WBMhW=function(LBRUL)
{
for(var khhOd=0;khhOd<this.EFEIV.length;khhOd++)
{
var NSkYn=this.EFEIV[khhOd];
if((NSkYn[0]==LBRUL)||(NSkYn[2]+""==LBRUL+""))
return NSkYn;
}
return undefined;
}
this.kdLLU=function(LBRUL)
{
var NSkYn=this.WBMhW(LBRUL);
return NSkYn[1]
}
this.BbwRs=function(ENLWD)
{
var NSkYn=this.WBMhW(ENLWD);
var LBRUL=NSkYn[0];
var XDskN=NSkYn[2];
var jbxhm_text=this.iUhIa[4]
var jbxhm_bg=this.iUhIa[5]
var jbxhm_glow=this.iUhIa[7]
if(XDskN==-1)
{
jbxhm_text=this.iUhIa[10]
jbxhm_bg=this.iUhIa[8]
jbxhm_glow=this.iUhIa[11]
}
var DPQWI=this.NppxA+LBRUL;
var IjDbf=this.aRYnV+LBRUL;
var oRmOS=this.kdLLU(ENLWD)
var QYvOr=this.xWoIk;
var s=""
s+="<a href='javascript:WA_openDialogAction("+ENLWD+")' ";
var jbxhm=new RGBColor(jbxhm_bg);
var fowqJ=jbxhm.toHsl();
jbxhm.fromHsl(fowqJ[0],fowqJ[1],fowqJ[2]+0.2)
jbxhm_bg=jbxhm.toRGB();
var HERWn_glow=new RGBColor(jbxhm_glow);
var BNnRB=HERWn_glow.toHsl();
HERWn_glow.fromHsl(BNnRB[0],BNnRB[1],BNnRB[2]+0.2)
jbxhm_glow=HERWn_glow.toRGB();
s+="onmouseover=\"WA_but_over('"+IjDbf+"','"+jbxhm_bg+"','"+jbxhm_glow+"')"+"\" ";
s+="onmouseout=\""+"WA_but_out('"+IjDbf+"')"+"\" ";
s+="style='text-decoration:none;'>";
s+="<div id='"+this.NppxA+LBRUL+"' style='position:absolute;cursor:pointer;left:0px;top:0px;height:"+oRmOS.height+"px;width:"+oRmOS.width+"px;' >";
s+="<div style='position:absolute;left:"+(-QYvOr)+"px;top:"+(-QYvOr)+"px;height:"+oRmOS.height+"px;'>"
s+="<canvas id='"+this.aRYnV+LBRUL+"' width="+(oRmOS.width+QYvOr*2)+" height="+(oRmOS.height+QYvOr*2)+" ></canvas>";
s+="</div>"
s+="<div align=center style='position:absolute;left:0px;top:"+(0)+"px;vertical-align:middle;width:100%;height:"+(oRmOS.height)+"px;line-height:"+(oRmOS.height)+"px;font-family:arial;font-size:13px;font-weight:bold;color:"+jbxhm_text+"'>"
s+=NSkYn[3];
s+="</div>"
s+="</div>"
s+="</a>"
return s;
}
this.getColorTheme=function(khhOd)
{
return this.iUhIa[khhOd];
}
this.hmFHC=function(LBRUL)
{
var NSkYn=this.WBMhW(LBRUL);
var XDskN=NSkYn[2];
var jbxhm_bg=this.iUhIa[5]
var jbxhm_glow=this.iUhIa[7]
var jbxhm_text=this.iUhIa[3]
if(XDskN==-1)
{
jbxhm_bg=this.iUhIa[8]
jbxhm_glow=this.iUhIa[11]
jbxhm_text=this.iUhIa[10]
}
var LCcae=this.aRYnV+LBRUL;
registerDynamicCanvas(LCcae);
var oRmOS=this.kdLLU(LBRUL);
var NCiNL=oRmOS.height*0.25;
var eWpTO=(oRmOS.height-NCiNL)/2;
var cwght=(oRmOS.width-2);
var NhCIO_circle_top=NCiNL*2;
var JjAdv_top=[(oRmOS.width-cwght)/2,1,cwght,NhCIO_circle_top,eWpTO];
var dZJHU_circle_bottom=oRmOS.width*0.9;
var NhCIO_circle_bottom=oRmOS.height*0.45;
var SwNub=jbxhm_glow;
var HxITc=jbxhm_glow;
var VbWql=NhCIO_circle_bottom/2;
var JjAdv_bottom=[(oRmOS.width-dZJHU_circle_bottom)/2,oRmOS.height-NhCIO_circle_bottom-1,dZJHU_circle_bottom,NhCIO_circle_bottom,VbWql,SwNub,HxITc];
WA_but(LCcae,0,oRmOS.width,oRmOS.height,NCiNL,jbxhm_bg,JjAdv_top,JjAdv_bottom,true,0)
}
this.cZmZn=function(LBRUL)
{
var NSkYn=this.WBMhW(LBRUL)
if(NSkYn)
{
var LCcae=this.NppxA+NSkYn[0];
return document.getElementById(LCcae);
}
return undefined
}
this.KoxAm=function()
{
var l=document.getElementById('wa-dialog-container');
l.style.display="block" 

var s="";
var avDEe=document.webaca_banner_height
s+="<div  style='position:absolute;left:0px;top:"+avDEe+"px;width:100%;height:100%;background-color:#000000;filter:alpha(opacity=50);-moz-opacity:0.5;opacity:0.5;'></div>"
s+="<div id='wa-dialog-main' style='position:absolute;left:0px;top:"+avDEe+"px;width:100px;height:100px;' >"
s+="<div style='position:absolute;left:0px;top:0px;width:100px;height:100px;' ><canvas id='wa-dialog1' width=100 height=100 ></canvas></div>"
for(var qurbo in this.EFEIV)
{
s+=this.BbwRs(this.EFEIV[qurbo][2]);
}
s+="<div id='wa-dialog-content' style='position:absolute;left:0px;top:0px;width:100px;" 
s+="overflow:auto;' ></div>"
s+="</div>"
l.innerHTML=s 
WA_exec_callback_opera_compliant(this,this.aqkEo)
}
this.aqkEo=function()
{
registerDynamicCanvas('wa-dialog1');
for(var qurbo in this.EFEIV)
{
this.hmFHC(this.EFEIV[qurbo][0])
}
this.dBYQu()
}
this.intern_closeWin=function()
{
var l=document.getElementById('wa-dialog-container');
l.style.display="none"
WA_Dialog.uxQdn=false
}
this.closeWin=function()
{
this.intern_closeWin()
}
this.cssText1=function()
{
return "font-family:Arial;font-size:15px;color:"+this.iUhIa[3]+";";
}
this.onCustomKeypress=function(QAtKn)
{
if((this.EFEIV.length==1)&&(QAtKn==13))
{
this.closeWin()
return true;
}
return false;
}
this.onkeypress=function(QAtKn)
{
return this.onCustomKeypress(QAtKn)
}
this.onkeydown=function(QAtKn)
{
if(QAtKn==27)
{
this.closeWin()
return true;
}
return this.onCustomKeypress(QAtKn) 
}
this.customUpdate=function(){}
this.dBYQu=function()
{
var dZJHU_page=document.webaca_width_page;
var NhCIO_page=document.webaca_height_page;
var DSFlX=getWindowSize().width
var NhCIO_window=getWindowSize().height 

this.IlAft=Math.min(DSFlX*0.9,this.CPQuc_win_width)
this.IAKDM=Math.min(NhCIO_window*0.9,this.CPQuc_win_height)
var ldYdQ=document.getElementById('wa-dialog1');
ldYdQ.width=this.IlAft+10
ldYdQ.height=this.IAKDM+10
var McsLd=getWindowScroll().x+(DSFlX-ldYdQ.width)/2
var QlQGg=getWindowScroll().y+(NhCIO_window-ldYdQ.height)/2
McsLd=(DSFlX-ldYdQ.width)/2
QlQGg=(NhCIO_window-ldYdQ.height)/2
McsLd=Math.max(0,McsLd)
QlQGg=Math.max(0,QlQGg) 
var SJhVr=document.getElementById('wa-dialog-main');
html_SetGeometry('wa-dialog-main',McsLd,QlQGg,ldYdQ.width,ldYdQ.height);
var LgUDO_bg="(0;0;0;"+this.IAKDM*0.25+";"+this.iUhIa[1]+";"+this.iUhIa[2]+")";
WA_bg('wa-dialog1',this.IlAft,this.IAKDM,10,3,this.iUhIa[0],[LgUDO_bg],true,0)
var JTYCq=10;
var ADfQe=this.cZmZn(-1)
if(ADfQe)
{
var SUdhh_close=this.kdLLU(-1)
html_SetPosition(ADfQe,this.IlAft-SUdhh_close.width+this.xWoIk-JTYCq,this.xWoIk+JTYCq)
}
var Mnvpm_buttons=this.EFEIV.length;
if(this.TTHYs_close_button==true)
{
Mnvpm_buttons--;
}
var lrNIi=10;
var wZAqs=0;
for(var qurbo=0;qurbo<Mnvpm_buttons;qurbo++)
{
if(qurbo>0) wZAqs+=lrNIi;
var SUdhh=this.kdLLU(qurbo);
wZAqs+=SUdhh.width;
}
var kIvCn=(this.IlAft-wZAqs)/2
for(var qurbo=0;qurbo<Mnvpm_buttons;qurbo++)
{
if(qurbo>0) kIvCn+=lrNIi;
var HIhnX=this.cZmZn(qurbo);
var SUdhh=this.kdLLU(qurbo);
html_SetPosition(HIhnX,kIvCn+this.xWoIk,+this.xWoIk+this.IAKDM-SUdhh.height-2*JTYCq)
kIvCn+=SUdhh.width;
}
var NhCIO_top=45;
var NhCIO_bottom=this.BUTTON_HEIGHT+2*JTYCq;
if(Mnvpm_buttons==0)
{
NhCIO_bottom=0;
}
var NhCIO_content=(this.IAKDM-NhCIO_top-NhCIO_bottom)-JTYCq
var QDBlD=document.getElementById('wa-dialog-content');
var NNUER_content=Math.round(this.IlAft-2*JTYCq)
var gsWCp=Math.round(NhCIO_content)
this.m_content_lx=NNUER_content
this.m_content_ly=gsWCp
html_SetGeometry('wa-dialog-content',Math.round(5+(this.IlAft-NNUER_content)/2),Math.round(5+NhCIO_top+(NhCIO_content-gsWCp)/2),NNUER_content,gsWCp);
this.customUpdate() 
var DNOlt=document.getElementById('wa-dialog-container');
xtJRs=getWindowFullSize().width
NhCIO_full_client=getWindowFullSize().height
html_SetSize('wa-dialog-container',xtJRs,NhCIO_full_client);
centerFullPageContainer();
}
this.mjENf();
}
function WA_exec_callback_opera_compliant(gFCmm,DimSh)
{
if(/opera/i.test(navigator.userAgent))
woGdt(gFCmm,DimSh)
else
DimSh.call(gFCmm)
}
function woGdt(gFCmm,DimSh)
{
wa_timeout(edFMI,0,gFCmm,DimSh);
}
function edFMI(gFCmm,DimSh)
{
DimSh.call(gFCmm)
}
WA_Dialog.getCurrent=function()
{
return WA_Dialog.uxQdn;
}
WA_Dialog.uxQdn=false;
WA_Dialog.resizeUI=function()
{
if(WA_Dialog.uxQdn)
{
WA_Dialog.uxQdn.dBYQu()
}
}
WA_Dialog.alert=function(s)
{
var w=new WA_Dialog();
w.Mbcvr(s)
}
WA_Dialog.progress=function()
{
var w=new WA_Dialog(false);
w.progress()
}
function centerFullPageContainer()
{
var dZJHU_page=document.webaca_width_page;
var NhCIO_page=document.webaca_height_page;
var DNOlt=document.getElementById('wa-dialog-container');
xtJRs=getWindowSize().width
NhCIO_full_client=getWindowSize().height
var QlQGg_bg=getWindowScroll().y;
QlQGg_bg=Math.min(QlQGg_bg,NhCIO_page-NhCIO_full_client+1)
QlQGg_bg=Math.max(QlQGg_bg,0)
var Wshjv=getWindowScroll().x;
Wshjv=Math.min(Wshjv,dZJHU_page-xtJRs+1)
Wshjv=Math.max(Wshjv,0) 
html_SetPosition('wa-dialog-container',Wshjv,QlQGg_bg,xtJRs,NhCIO_full_client);
}

function getXMLHttpRequest(fct_callback,BkMsU)
{
var http_request=false;
if(window.XMLHttpRequest){
http_request=new XMLHttpRequest();
if(http_request.overrideMimeType){
}
}else if(window.ActiveXObject){
try{http_request=new ActiveXObject("Msxml2.XMLHTTP");
}catch(e){
try{http_request=new ActiveXObject("Microsoft.XMLHTTP");}catch(e){}}
}
if(!http_request)
{
alert('Cannot create XMLHTTP instance');
return false;
}
http_request.UJKFa=fct_callback
http_request.BkMsU=BkMsU
http_request.onreadystatechange=function()
{
var req=this 
if(req.readyState==4)
{
this.UJKFa(true,this,this.BkMsU) 

}
};
return http_request;
}
function makePOSTRequest(url,parameters,callback,tpuFs)
{
var http_request=getXMLHttpRequest(callback,tpuFs);
http_request.open('POST',url,true);
http_request.setRequestHeader("Content-type","application/x-www-form-urlencoded");
http_request.setRequestHeader("Content-length",parameters.length);
http_request.setRequestHeader("Connection","close");
http_request.send(parameters);
}
function intern_WA_responseForm(MRidL,XGaUP,BkMsU)
{
var result=XGaUP.responseText
var n=result.indexOf("BEGIN_IS_PHP=1")
if(n==-1)
{
WA_Dialog.alert(Translator.tr("Error:No php on server"));
}
else
{
n=result.indexOf("mail_sended=1")
if(n>-1)
{
var OatYK=BkMsU[0] 
WA_Dialog.alert(Translator.tr("Success:Mail sended"));
var form=document.getElementById(OatYK);
form.reset()
}
else
{
var FJNIb="error_string="
n=result.indexOf(FJNIb)
if(n>-1)
{
result=result.substring(n+FJNIb.length)
n=result.indexOf("END_IS_PHP")
if(n>-1)
{
result=result.substring(0,n)
}
WA_Dialog.alert(result);
}
else
{
WA_Dialog.alert("*error send mail!");
}
}
}
}
function WA_form_action(id_form,action,b_email_is_valid)
{
var form=document.getElementById(id_form);
var poststr=""
for(var i=0;i<form.elements.length;i++)
{
var el=form.elements[i];
el.style.backgroundColor="#ffffff"
if((el.value.length==0)&&(el.name.indexOf("_mandatory")>-1))
{
el.style.backgroundColor="#ff0000";el.focus();return;
}
var SpJZw=el.value
SpJZw=encodeURI(SpJZw)
SpJZw=SpJZw.replace(/&/g,escape("&")) 
poststr+=el.name.replace("_mandatory","")+"="+SpJZw+"&"
}
if(b_email_is_valid==false)
{
WA_Dialog.alert(Translator.tr("Email have to be filled in order to the form works correctly"));return;
}
if(document.webaca_is_preview)
{
WA_Dialog.alert(Translator.tr("Operation not allowed in preview mode"));return;
}
WA_Dialog.progress();
makePOSTRequest(action,poststr,intern_WA_responseForm,[id_form]);
}
function WA_form_submit(QewVX)
{
var pBCLB=document.getElementById(QewVX);
pBCLB.submit() 
}
function rQHjt(BYZXl,BkMsU)
{
var QAtKn=BkMsU[0]
if(QAtKn==13)
{
var QewVX=BYZXl+"-form";
var pBCLB=document.getElementById(QewVX);
for(var i=0;i<pBCLB.elements.length;i++)
{
var dmGRY=pBCLB.elements[i];
if((dmGRY.type=="textarea")&&(dmGRY.focused))return true;
}
WA_form_submit(QewVX);
return false;
}
return true;
}
function WA_addFormDeclaration(BYZXl,HAHip)
{
return WA_addHandler(BYZXl,"keypress",rQHjt)
}
function WA_form_bg(id,lx,ly,arc,qfxYN,bord_col,bg,shadow,kacTn,CsqPp)
{
WA_bg(id,lx,ly,arc,qfxYN,bord_col,bg,shadow,kacTn,1.0,true) 
var iFXWR=CsqPp.x;
var KAeVb=0;
var ZkDNS=CsqPp.cells
for(var n=0;n<ZkDNS.length;n++)
{
var LYESM=ZkDNS[n]
var arc2=0
XgdkW(id,iFXWR,KAeVb+LYESM.y,CsqPp.w,LYESM.h,arc2,1,CsqPp.border,[''],false,0,1.0,false)
XgdkW(id,iFXWR,KAeVb+LYESM.y,LYESM.w,LYESM.h,arc2,1,"rgba(0,0,0,0)",[CsqPp.bg],false,0,1.0,false)
}
}
function WA_form_reset(id_form)
{
var form=document.getElementById(id_form);
form.reset() 
}
var BrowserDetect={
init:function(){
this.browser=this.searchString(this.dataBrowser)||"An unknown browser";
this.version=this.searchVersion(navigator.userAgent)||this.searchVersion(navigator.appVersion)||"an unknown version";
this.OS=this.searchString(this.dataOS)||"an unknown OS";
},searchString:function(data){
for(var i=0;i<data.length;i++){
var dataString=data[i].string;var dataProp=data[i].prop;
this.versionSearchString=data[i].versionSearch||data[i].identity;
if(dataString){
if(dataString.indexOf(data[i].subString)!=-1)
return data[i].identity;
}
else if(dataProp)
return data[i].identity;
}
},searchVersion:function(dataString){
var index=dataString.indexOf(this.versionSearchString);
if(index==-1) return;
return parseFloat(dataString.substring(index+this.versionSearchString.length+1));
},
dataBrowser:[
{string:navigator.userAgent,subString:"OmniWeb",versionSearch:"OmniWeb/",identity:"OmniWeb"},{string:navigator.vendor,subString:"Apple",identity:"Safari"},{prop:window.opera,identity:"Opera"},{string:navigator.vendor,subString:"iCab",identity:"iCab"},{string:navigator.vendor,subString:"KDE",identity:"Konqueror"},{string:navigator.userAgent,subString:"Firefox",identity:"Firefox"},{string:navigator.vendor,subString:"Camino",identity:"Camino"},{string:navigator.userAgent,subString:"Netscape",identity:"Netscape"},
{string:navigator.userAgent,subString:"MSIE",identity:"Explorer",versionSearch:"MSIE"},{string:navigator.userAgent,subString:"Gecko",identity:"Mozilla",versionSearch:"rv"},{string:navigator.userAgent,subString:"Mozilla",identity:"Netscape",versionSearch:"Mozilla"}
],dataOS:[
{string:navigator.platform,subString:"Win",identity:"Windows"},{string:navigator.platform,subString:"Mac",identity:"Mac"},{string:navigator.platform,subString:"Linux",identity:"Linux"}
]
};
BrowserDetect.init();
function RGBColor(XNrPn)
{
this.ok=false;this.a=1.0;
if(XNrPn.charAt(0)=='#'){XNrPn=XNrPn.substr(1);}
XNrPn=XNrPn.replace(/ /g,'');
XNrPn=XNrPn.toLowerCase();
var mUAai=[
{re:/^rgba\((\d{1,3}),\s*(\d{1,3}),\s*(\d{1,3}),\s*(\d{1,2}\.*\d{0,2})\)$/,_process:function(bits){return [ parseInt(bits[1]),parseInt(bits[2]),parseInt(bits[3]),parseFloat(""+bits[4]) ];}},{re:/^rgb\((\d{1,3}),\s*(\d{1,3}),\s*(\d{1,3})\)$/,_process:function(bits){return [ parseInt(bits[1]),parseInt(bits[2]),parseInt(bits[3])];}},{re:/^(\w{2})(\w{2})(\w{2})(\w{2})$/,_process:function(bits){return [ parseInt(bits[1],16),parseInt(bits[2],16),parseInt(bits[3],16),Math.round(parseInt(bits[4],16)*100/255)/100 ];}},{re:/^(\w{2})(\w{2})(\w{2})$/,_process:function(bits){return [ parseInt(bits[1],16),parseInt(bits[2],16),parseInt(bits[3],16) ];}}
];
for(var i=0;i<mUAai.length;i++){
var TXlfW=mUAai[i].re;
var JbFaW=mUAai[i]._process;
var ItVOR=TXlfW.exec(XNrPn);
if(ItVOR){
var PxFar=JbFaW(ItVOR);
this.r=PxFar[0];this.g=PxFar[1];this.b=PxFar[2];this.a=PxFar[3];
this.ok=true;
}
}
this.r=(this.r<0||isNaN(this.r))?0:((this.r>255)?255:this.r);
this.g=(this.g<0||isNaN(this.g))?0:((this.g>255)?255:this.g);
this.b=(this.b<0||isNaN(this.b))?0:((this.b>255)?255:this.b);
this.a=(this.a>1||isNaN(this.a))?1:((this.a<0)?0:this.a);
this.toRGB=function()
{
if(this.a==1)return 'rgb('+this.r+', '+this.g+', '+this.b+')';
return 'rgba('+this.r+', '+this.g+', '+this.b+','+this.a+')';
}
this.toRGB_opaque=function()
{
return 'rgb('+this.r+', '+this.g+', '+this.b+')';
}
this.toHsl=function(){
var r=this.r;var g=this.g;var b=this.b;r/=255,g/=255,b/=255;
var max=Math.max(r,g,b),min=Math.min(r,g,b);
var h,s,l=(max+min)/2;
if(max==min){h=s=0;
}else{
var d=max-min;s=l>0.5?d/(2-max-min):d/(max+min);
switch(max){
case r:h=(g-b)/d+(g<b?6:0);break;
case g:h=(b-r)/d+2;break;
case b:h=(r-g)/d+4;break;
}
h/=6;
}
return [h,s,l];
}
this.Wckfm=function(p,q,t)
{
if(t<0) t+=1;if(t>1) t-=1;if(t<1/6) return p+(q-p)*6*t;if(t<1/2) return q;if(t<2/3) return p+(q-p)*(2/3-t)*6;
return p;
};
this.fromHsl=function(h,s,l){
if(l>1.0)l=1.0
var r,g,b;
if(s==0){r=g=b=l;
}else{
var q=l<0.5?l*(1+s):l+s-l*s;
var p=2*l-q;
r=this.Wckfm(p,q,h+1/3);g=this.Wckfm(p,q,h);b=this.Wckfm(p,q,h-1/3);
}
r=r*255;g=g*255;b=b*255;
r=Math.round(r);g=Math.round(g);b=Math.round(b);
if(r<0)r=-r;if(g<0)g=-g;if(b<0)b=-b
this.r=r;this.g=g;this.b=b;
};
}
function RXXDh(Wcgmj,BkMsU)
{
if(document.wa_global_handlers!=undefined)
{
var BYZXl=WA_focused_element()
if(BYZXl)
{
var Hjvtg=document.wa_global_handlers[BYZXl+"-"+Wcgmj]
if(Hjvtg) return Hjvtg([BYZXl],BkMsU)
}
}
return true;
}
function sdxGD(e)
{
if(window.event){return e.keyCode;}
else 
if(e.which) return  e.which;
return-1;
}
function WA_onkeypress(e)
{
var QAtKn=sdxGD(e);
if(WA_Dialog.uxQdn)
{
if(WA_Dialog.uxQdn.onkeypress(QAtKn))
{
return false;
}
}
return RXXDh("keypress",[QAtKn]);
}
function WA_ondblclick(e)
{
return RXXDh("dblclic",[""]);
}
function WA_onkeydown(e)
{
var QAtKn=sdxGD(e)
if(WA_Dialog.uxQdn)
{
if(WA_Dialog.uxQdn.onkeydown(QAtKn))
{
return false;
}
}
if(QAtKn==13) return true;

if(wa_global_photo_album&&wa_global_photo_album.fullpage_object)
{
var gFCmm=wa_global_photo_album.fullpage_object
return gFCmm.onFullScreenKeydown(QAtKn) 
}
return RXXDh("keydown",[QAtKn]);
}
function WA_genericMouseWheelHandler(e)
{
var delta=0;
if(!e) e=window.event;
if(e.wheelDelta){
delta=e.wheelDelta/120;
if(window.opera) delta=-delta;
}else if(e.detail){
delta=-e.detail/3;
}
if(navigator.userAgent.match(/opera/i)) delta=-delta;
var b_default=false;
if(delta)
{
if(document.wa_global_handlers!=undefined)
{
var BYZXl=this.id
var Hjvtg=document.wa_global_handlers[BYZXl+"-mousewheel"]
if(Hjvtg)
{
if(Hjvtg([BYZXl],[delta]))
{
b_default=true;
}
}
}
}
if(b_default)
if(e.preventDefault)
e.preventDefault();
e.returnValue=!b_default;
}
function WA_addHandler(BYZXl,Wcgmj,DimSh)
{
if(document.wa_global_handlers==undefined) document.wa_global_handlers=new Array()
if(Wcgmj=="mousewheel")
{
var pKSYw=document.getElementById(BYZXl);
if(pKSYw.addEventListener)
pKSYw.addEventListener('DOMMouseScroll',WA_genericMouseWheelHandler,false);
pKSYw.onmousewheel=WA_genericMouseWheelHandler
}
document.wa_global_handlers[BYZXl+"-"+Wcgmj]=DimSh
}
function WA_loadPhotoAlbum(BYZXl,mUwin,oRmOS,BYZXl_modif)
{
if(typeof(wa_global_photo_album[BYZXl])=="undefined")
{
var o=new Array();
o.src_folder=mUwin
o.size_container=oRmOS
o.id_modif=BYZXl_modif
wa_global_photo_album[BYZXl]=o;
}
}
function WA_focused_element()
{
return document.wa_global_focused_element
}
function WA_focus(gFCmm)
{
document.wa_global_focused_element=gFCmm.id
}
function WA_loadScript(url,callback,params)
{
var e=document.createElement("script");
e.src=url;
e.type="text/javascript";
e.onerror=function(){callback(params,false);}
if(/msie/i.test(navigator.userAgent)&&!/opera/i.test(navigator.userAgent)){
e.onreadystatechange=function(){
if((this.readyState=='complete')||(this.readyState=='loaded')){
callback(params,true);
}
}
}else
{
e.onload=function(){
if(/opera/i.test(navigator.userAgent))
wa_timeout(callback,0,params,true);
else
callback(params,true);
}
}
document.getElementsByTagName("head")[0].appendChild(e);
}
function WA_blog_declare(GHvbO,dqpEJ,lGLSn)
{
if(!document.wa_global_blogs_elements)document.wa_global_blogs_elements=new Array()
if(!document.wa_global_blogs_buttons)document.wa_global_blogs_buttons=new Array()
if(!document.wa_global_blogs_elements[dqpEJ])document.wa_global_blogs_elements[dqpEJ]=new Array()
document.wa_global_blogs_elements[dqpEJ].id_blog=GHvbO
document.wa_global_blogs_elements[dqpEJ].has_email=lGLSn
}
function WA_addSearchHandler(BYZXl)
{
return WA_addHandler(BYZXl,"keypress",NXmFx)
}
function NXmFx(BYZXl,BkMsU)
{
var QAtKn=BkMsU[0]
if(QAtKn==13)
{
var vXdIc=BYZXl+"-search-input";
WA_onSearch(vXdIc)
return false;
}
return true;
}
function WA_declareSearchIndex(jxGgC,aXtjA)
{
document.const_wa_search_js=jxGgC
document.const_wa_search_index_js=aXtjA
}
function WA_onSearch(vXdIc)
{
var PZGxl=document.getElementById(vXdIc);
if(document.wa_search_js_loaded==true)
{
WA_openSearchDialog(PZGxl,document.const_wa_search_index_js)
}
else
{
WA_Dialog.progress();
QGbmu(PZGxl)
}
}
function oOjeE(BkMsU)
{
document.wa_search_js_loaded=true
WA_openSearchDialog(BkMsU[0],document.const_wa_search_index_js)
}
function QGbmu(jJiRC)
{
WA_loadScript(document.const_wa_search_js,oOjeE,[jJiRC])
}
function VQTjU(offset){
var endstr=document.cookie.indexOf(";",offset);
if(endstr==-1)
endstr=document.cookie.length;
return unescape(document.cookie.substring(offset,endstr));
}
function WA_GetCookie(name)
{
var arg=name+"=";
var alen=arg.length;
var clen=document.cookie.length;
var i=0;
while(i<clen)
{
var j=i+alen;
if(document.cookie.substring(i,j)==arg)
return VQTjU(j);
i=document.cookie.indexOf(" ",i)+1;
if(i==0) break;
}
return "";
}
function WA_SetCookie(name,value){
var argv=WA_SetCookie.arguments;
var argc=WA_SetCookie.arguments.length;
var expires=(argc>2)?argv[2]:null;
var path=(argc>3)?argv[3]:null;
var domain=(argc>4)?argv[4]:null;
var secure=(argc>5)?argv[5]:false;
document.cookie=name+"="+escape(value)+((expires==null)?"":("; expires="+expires.toGMTString()))+((path==null)?"":("; path="+path))+((domain==null)?"":("; domain="+domain))+((secure==true)?"; secure":"");
}
function WA_bg_menu(BYZXl)
{
var lloMD=document.wa_global_menu_declaration[BYZXl]
WA_bg(BYZXl,lloMD.root_lx,lloMD.root_ly,lloMD.root_corner,lloMD.root_border,lloMD.root_col_border,[lloMD.root_bg],false,0)
var dmGRY=document.getElementById(lloMD.id)
if(!dmGRY)return;
var c=dmGRY.getContext('2d');
c.lineWidth=1
c.strokeStyle=lloMD.root_col_separator
var vMuPb=0.5;

var mvYAm=lloMD.root_sizes.length
if(lloMD.root_extend==false)
{
mvYAm--;
}
var xlqKh=3;
for(var i=0;i<mvYAm;i++)
{
var oRmOS=lloMD.root_sizes[i] 

c.beginPath();
if(lloMD.root_vertical==false)
{
vMuPb+=(oRmOS-1)
c.moveTo(vMuPb,xlqKh)
c.lineTo(vMuPb,lloMD.root_ly-xlqKh)
}
else
{
vMuPb+=(oRmOS)
c.moveTo(xlqKh,vMuPb-1,0)
c.lineTo(lloMD.root_lx-xlqKh,vMuPb-1)
}
c.closePath();
c.stroke()
}
}
function WA_declare_menu(BYZXl,lloMD)
{
if(!document.wa_global_menu_declaration)document.wa_global_menu_declaration=new Array();
lloMD.id=BYZXl
document.wa_global_menu_declaration[BYZXl]=lloMD
WA_bg_menu(BYZXl)
}
function WA_declareMarket(BYZXl,mYaEL_market,BYZXl_modif)
{
if(typeof(wa_global_market.markets[BYZXl])=="undefined")
{
var o=new Array();
o.src_folder=mYaEL_market
o.id_modif=BYZXl_modif 

o.id=BYZXl
wa_global_market.markets[BYZXl]=o;
}
}
function WA_button_market_declare(BYZXl,noXTZ)
{
if(!document.wa_global_button_market_declaration)document.wa_global_button_market_declaration=new Array();
document.wa_global_button_market_declaration[BYZXl]=noXTZ
}
function wxclT(c,img,McsLd,QlQGg,dZJHU,NhCIO,SGjwV,cXOuf,sXZbO)
{
c.globalAlpha=cXOuf
if(sXZbO) c.clearRect(0,0,dZJHU,NhCIO) 
if(cXOuf==0)return;
if(SGjwV)
{
c.drawImage(img,SGjwV.x,SGjwV.y,SGjwV.width,SGjwV.height,McsLd,QlQGg,dZJHU,NhCIO)
}
else
{
c.drawImage(img,McsLd,QlQGg,dZJHU,NhCIO)
}
}
function WA_drawImage(id,KmMjg,McsLd,QlQGg,dZJHU,NhCIO,SGjwV,cXOuf,sXZbO)
{
if(sXZbO==undefined)sXZbO=true;
if(cXOuf==undefined)cXOuf=1.0;
var el=document.getElementById(id)
if(!el)return
var c=el.getContext('2d');
c.shadowOffsetX=0;c.shadowOffsetY=0;c.shadowBlur=0;
if(c.old_src==KmMjg)
{
wxclT(c,c.NDBPV,McsLd,QlQGg,dZJHU,NhCIO,SGjwV,cXOuf,sXZbO)
return;
}
var img=new Image();
img.LWAuV=el.LWAuV
img.onload=function()
{
c.old_src=KmMjg
c.NDBPV=this;
wxclT(c,this,McsLd,QlQGg,dZJHU,NhCIO,SGjwV,cXOuf,sXZbO)
}
img.src=KmMjg;
}

-->
